<template>
  <div>
    <component
      :is="fieldComponent"
      :record="record"
      :field="field"
    />
  </div>
</template>

<script>
  import textField from './fields/textField';
  import numberField from './fields/numberField';
  import checkboxField from './fields/checkboxField';
  import dropdownField from './fields/dropdownField';
  import collectionField from './fields/collectionField';

  export default {
    name: 'field',
    props: {
      record: {
        type: Object,
      },
      field: {
        type: Object,
      },
    },
    computed: {
      fieldComponent() {
        return {
          text: textField,
          number: numberField,
          checkbox: checkboxField,
          dropdown: dropdownField,
          collection: collectionField,
        }[this.field.type] || null;
      },
    },
  };
</script>
